%define majver %(echo %version | cut -d. -f1-2)

Name:          kirigami-addons
Version:       0.10.0
Release:       1mamba
Summary:       Set of widgets i.e visual end user components along with a code to support them
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/stable/kirigami-addons/kirigami-addons-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libki18n-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquickcontrols2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules

%description
Set of widgets i.e visual end user components along with a code to support them.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%dir %{_libdir}/qt5/qml/org/kde/kirigamiaddons
%{_libdir}/qt5/qml/org/kde/kirigamiaddons/*
%{_kde5_libdir}/cmake/KF5KirigamiAddons/KF5KirigamiAddonsConfig.cmake
%{_kde5_libdir}/cmake/KF5KirigamiAddons/KF5KirigamiAddonsConfigVersion.cmake

%changelog
* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created using the webbuild interface
